###############常用配置项###############
server:
    port: 9194
    maxHttpHeaderSize: 102400
log:
    file:
        path: C:\Users\89346\Desktop\filePath
#        path: /data/dyqd_app4/server-sr
        name: report.log
datasource:
    url: 10.199.10.6:3306/dc_test
    #url: 10.199.100.13:3306/cap
    username: dyqd_dc
    password: Datau$dc19
redis:
    host: 10.199.10.10
    port: 16370
    
###############常用配置项###############
spring:
    cloud:
        loadbalancer: 
            retry: 
                enabled=true
    application:
        name: account
    jmx: 
        enabled: false
    datasource: 
        type: com.alibaba.druid.pool.DruidDataSource
        driverClassName: com.mysql.jdbc.Driver
        url: jdbc:mysql://${datasource.url}?characterEncoding=utf8&useSSL=false
        username: ${datasource.username}
        password: ${datasource.password}
        initialSize: 5                             #初始化大小
        minIdle: 5                                 #最小
        maxActive: 20                              #最大
        maxWait: 60000                             #获取连接等待超时的时间
        timeBetweenEvictionRunsMillis: 60000       #间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
        minEvictableIdleTimeMillis: 300000         #一个连接在池中最小生存的时间，单位是毫秒
        validationQuery: SELECT 1 FROM DUAL
        testWhileIdle: true
        testOnBorrow: false
        testOnReturn: false
        poolPreparedStatements: true               #打开PSCache，并且指定每个连接上PSCache的大小
        maxPoolPreparedStatementPerConnectionSize: 20
        filters: slf4j
        connectionProperties: druid.stat.mergeSql=true;druid.stat.slowSqlMillis=5000  #通过connectProperties属性来打开mergeSql功能；慢SQL记录
        useGlobalDataSourceStat: true              #合并多个DruidDataSource的监控数据
    redis:
        database: 0                      # Redis数据库索引（默认为0）
        host: ${redis.host}              # Redis服务器地址
        port: ${redis.port}              # Redis服务器连接端口
        password:                        # Redis服务器连接密码（默认为空）
        timeout: 20000                   # 连接超时时间（毫秒）
        pool: 
            max-active: -1               # 连接池最大连接数（使用负值表示没有限制）
            max-wait: -1                 # 连接池最大阻塞等待时间（使用负值表示没有限制）
            max-idle: 8                  # 连接池中的最大空闲连接
            min-idle: 0                  # 连接池中的最小空闲连接
logging:
    config: classpath:logback-spring.xml
    level:   
        com.cap.accountManager.mapper: DEBUG
    
mybatis:
    configuration:
        mapUnderscoreToCamelCase: true
    mapper-locations: classpath:mybatis/*.xml
pagehelper:
    helper-dialect: mysql
    reasonable: true
    support-methods-arguments: true
    params: count=countSql
                    
ribbon:
    ReadTimeout: 600000
    ConnectTimeout: 600000
    MaxAutoRetries: 0
    MaxAutoRetriesNextServer: 0
    eureka:
        enabled: true
eureka:
    instance:
        leaseRenewalIntervalInSeconds: 1         #租期更新时间间隔（默认30秒）
        leaseExpirationDurationInSeconds: 5      #租期到期时间（默认90秒）
    client:
        healthcheck:
            enabled: true
hystrix:
    command:
        default:
            execution:
                timeout: 
                    enabled: false
                isolation:
                    thread:
                        timeoutInMilliseconds: 6000000
feign:
    hystrix:
        enabled = false
